alias speakers='goxlr-client volume headphones 0 && goxlr-client volume line-out 100'
alias headphones='goxlr-client volume headphones 100 && goxlr-client volume line-out 0'
alias attach='tmux a -t'
alias eth_block='printf "%d\n" $(curl -s "https://brilliant.staging.gfx.town?method=eth_blockNumber" | jq -r .result)'
alias ovpn3_connect='openvpn3 session-start --config ~/GFX/client.ovpn'
alias ovpn3_disconnect='openvpn3 session-manage --disconnect --config ~/GFX/client.ovpn'
alias unplex='ssh UnPlex'
alias stern='stern --container-state running,waiting,terminated'
alias colo='sudo openfortivpn -c ~/.config/openfortivpn/vpn.conf'
alias diff='colordiff'

alias mkdir='mkdir -pv'

alias calc='fend'

alias grep='rg --hidden -S'

alias wget=wget --hsts-file="$XDG_DATA_HOME/wget-hsts"

if hash exa 2>/dev/null; then
    alias ls='exa'
    alias l='exa -l --all --group-directories-first --git'
    alias ll='exa -l --all --all --group-directories-first --git'
    alias lt='exa -T --git-ignore --level=2 --group-directories-first'
    alias llt='exa -lT --git-ignore --level=2 --group-directories-first'
    alias lT='exa -T --git-ignore --level=4 --group-directories-first'
else
    alias l='ls -lah'
    alias ll='ls -alF'
    alias la='ls -A'
fi

alias cat='bat'
