#!/usr/bin/env bash

. ~/.cache/wal/colors.sh
swaylock \
  --clock \
  --timestr "%I:%M:%S" \
  --indicator \
  --ignore-empty-password \
  --show-failed-attempts \
  --daemonize \
  -i $wallpaper \
  --effect-blur 50x10 \
  --indicator-radius 150 \
  --inside-color 00000000 \
  --inside-clear-color $color1 \
  --inside-ver-colo $color2 \
  --inside-wrong-color $color9 \
  --line-color $color9 \
  --line-clear-color $color9 \
  --line-ver-color $color9 \
  --line-wrong-color $color9 \
  --ring-color $color9 \
  --ring-clear-color $color9 \
  --ring-ver-color $color9 \
  --ring-wrong-color $color10 \
  --separator-color $color14 \
  --key-hl-color $color14 \
  --bs-hl-color $color10 \
  --text-color $color9
